Bug 441123 - 2 SSH agents started in GNOME session
2 SSH agents started in GNOME session
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 10:48 EDT by Dan Winship
Modified: 2009-09-15 08:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 08:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2008-04-06 10:48:38 EDT
In GNOME 2.22, gnome-keyring acts as an SSH agent. However, we still start the
traditional ssh-agent from /etc/X11/xinit/Xsession as well, wasting a little bit
of time and memory.
Comment 1 Adam Jackson 2008-04-08 17:21:05 EDT
Fixed (badly) in xorg-x11-xinit 1.0.7-7.
Comment 2 Wayne Walker 2009-07-18 19:24:07 EDT
I just upgraded F10 to F11 and now my gnome-session has no access to an authentication agent.  The code should only disable ssh-agent if gnome-keyring is actually accepting authentication credentials.  There is a keyring daemon running, but ssh-add won't work:

[wwalker@darwin etc]$ ps -ef | grep keyring
wwalker   1837     1  0 17:46 ?        00:00:00 /usr/bin/gnome-keyring-daemon --daemonize --login
wwalker   2822  2724  0 18:23 pts/2    00:00:00 grep keyring
[wwalker@darwin etc]$ ps -ef | grep ssh-agent
wwalker   2824  2724  0 18:23 pts/2    00:00:00 grep ssh-agent
[wwalker@darwin etc]$ ssh-add -l
Could not open a connection to your authentication agent.
Comment 3 Simo Sorce 2009-09-15 08:45:55 EDT
still happens to me in F-11, is there some magic I need to do to have it working again ?
Comment 4 Simo Sorce 2009-09-15 08:54:53 EDT
ok apparently the magic is to set /apps/gnome-keyring/daemon-components/ssh to enabled. Thanks to yaneti on IRC.

Note You need to log in before you can comment on or make changes to this bug.